Skip to content
Navigation

Retry workflow

POST
https://api.sureshake.com/v2/directory/workflows/{id}/retry

Path parameters

  • id
    string
    required
    format: uuid

Returns

202

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • followRequestId
      string
      required
      format: uuid
    • relationshipId
      string
      required
      format: uuid
    • status
      queued
      or
      running
      or
      completed
      or
      partial
      or
      failed
      required
    • counts
      object
      required
      • attempted
        integer
        required
        minimum: 0
      • succeeded
        integer
        required
        minimum: 0
      • failed
        integer
        required
        minimum: 0
      • skipped
        integer
        required
        minimum: 0
    • fatalError
      string
      or null
      required
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
    • completedAt
      string
      or null
      required
      format: date-time
    • grants
      array of
      object
      required
      • id
        string
        required
        format: uuid
      • collectionId
        string
        required
        format: uuid
      • status
        pending
        or
        active
        or
        failed
        or
        expired
        or
        revoked
        required
      • expiresAt
        string
        or null
        required
        format: date-time
      • tokenId
        string
        or null
        required
      • transactionHash
        string
        or null
        required
      • revocationTransactionHash
        string
        or null
        required
      • error
        string
        or null
        required
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close